/***********************************************************************************
FILE NAME 		dbsct.c
DESCRIPTION 	Setting of B,E Section

Copyright : 2007 Renesas Technology Europe Ltd.
Copyright : 2007 Renesas Technology Corporation.
All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
27.08.2007 RTE-MBA First Release
***********************************************************************************/
                
#pragma section $DSEC
static const struct {
	/* Start address of the initialized data section in ROM */
	unsigned char *rom_s;
	/* End address of the initialized data section in ROM */
	unsigned char *rom_e;
	/* Start address of the initialized data section in RAM */
	unsigned char *ram_s;       
}DTBL[]= {
	{__sectop("D"), __secend("D"), __sectop("R")},
};
#pragma section $BSEC
static const struct {
	/* Start address of non-initialized data section */
	unsigned char *b_s;
	/* End address of non-initialized data section */
	unsigned char *b_e;
}BTBL[]= {
	{__sectop("B"), __secend("B")},
};
